.md-toolbar-tools h1,
h2 {
  font-family: "Baloo Bhaina", -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif;
}

.md-toolbar-tools h1 {
  font-size: 36px;
  line-height: 0;
  text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.38);
  transform: translateY(6px);
}

md-content {
  -moz-user-select: none;
  -ms-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

.heading .md-subheader-inner {
  padding-left: 0;
}

.heading,
.md-subheader + div {
  margin-left: 16px;
}

.heading-jackpot {
  margin-right: 16px;
}
.heading-jackpot,
.subheading-jackpot {
  text-align: center;
}

h2.md-title {
  color: rgba(0, 0, 0, 0.87);
  margin-top: 0;
  margin-bottom: 0;
  padding-bottom: 0;
}

.score-sum-wrap {
  max-width: 600px;
}

.score-sum-wrap {
  line-height: 1.1;
}

.welcome br {
  display: none;
}

.welcome,
.draw-selection {
  padding-top: 0;
}

.draw-selection h3,
.draw-selection md-input-container {
  margin-top: 0;
  margin-bottom: 0;
}

.ball {
  background-color: #fff;
  border-radius: 20px;
  height: 40px;
  padding: 10px 10px 10px 11px;
  width: 40px;
}
.red {
  background-color: #d50000;
  color: #fff;
}
.match {
  position: relative;
}
.match:after {
  border-bottom: 1px solid;
  bottom: -2px;
  content: "";
  left: 0;
  position: absolute;
  width: 100%;
}
.multiplier {
  padding: 2px 4px;
}

.draw-results {
  height: 56px;
  max-width: 414px;
  padding: 0 8px 1em;
  user-select: auto;
}

.custom-results {
  margin-top: -2em;
}

/* -------- */
.num-set {
  width: 165px;
}

.select-red {
  width: 120px;
}

.num-set-container md-option[disabled] .md-icon {
  border-color: rgba(189, 189, 189, 0.87);
}

.num-set-header {
  align-items: center;
  background-color: #fff;
  box-shadow: 0 1px 0 0 rgba(0, 0, 0, 0.1), 0 0 0 0 rgba(0, 0, 0, 0.14), 0 0 0 0 rgba(0, 0, 0, 0.12);
  cursor: pointer;
  display: flex;
  height: 48px;
  padding-left: 10.667px;
  top: 0;
  width: 94%;
  z-index: 1;
}

.num-set-header.has-five {
  color: #1B5E20; /* green 900 */
}

.pp-select {
  width: 80px;
}

/* animation jello-horizontal by http://animista.net */
@-webkit-keyframes jello-horizontal {
  0% {
    -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
  }
  30% {
    -webkit-transform: scale3d(1.25, 0.75, 1);
            transform: scale3d(1.25, 0.75, 1);
  }
  40% {
    -webkit-transform: scale3d(0.75, 1.25, 1);
            transform: scale3d(0.75, 1.25, 1);
  }
  50% {
    -webkit-transform: scale3d(1.15, 0.85, 1);
            transform: scale3d(1.15, 0.85, 1);
  }
  65% {
    -webkit-transform: scale3d(0.95, 1.05, 1);
            transform: scale3d(0.95, 1.05, 1);
  }
  75% {
    -webkit-transform: scale3d(1.05, 0.95, 1);
            transform: scale3d(1.05, 0.95, 1);
  }
  100% {
    -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
  }
}
@keyframes jello-horizontal {
  0% {
    -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
  }
  30% {
    -webkit-transform: scale3d(1.25, 0.75, 1);
            transform: scale3d(1.25, 0.75, 1);
  }
  40% {
    -webkit-transform: scale3d(0.75, 1.25, 1);
            transform: scale3d(0.75, 1.25, 1);
  }
  50% {
    -webkit-transform: scale3d(1.15, 0.85, 1);
            transform: scale3d(1.15, 0.85, 1);
  }
  65% {
    -webkit-transform: scale3d(0.95, 1.05, 1);
            transform: scale3d(0.95, 1.05, 1);
  }
  75% {
    -webkit-transform: scale3d(1.05, 0.95, 1);
            transform: scale3d(1.05, 0.95, 1);
  }
  100% {
    -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
  }
}

/* -------- */
.ticket {
  background-image: linear-gradient(45deg, #fdfbfb 0%, #ebedee 100%);
  height: 0;
  margin: 0 8px;
  max-width: 600px;
  opacity: 0;
  transition: opacity 0.4s ease-in;
}

.ticket.card-complete {
  height: auto;
  opacity: 1;
}

.ticket + .ticket.card-complete {
  margin-top: 1em;
}

.nums-wrap {
  max-width: 336px;
}

.b {
  margin-right: 4px;
  min-width: 30px;
}
.b + .b {
  text-align: center;
}

.b div {
  border-bottom: 2px solid transparent;
}

.b .match {
  border-bottom-color: #2E7D32;
}

.ticket md-card-content {
  margin-top: 8px;
  padding: 0 8px;
}

.ticket.deleting-ticket {
  -webkit-animation: slit-out-horizontal 0.5s ease-in both;
  animation: slit-out-horizontal 0.5s ease-in both;
}

.deleting-ticket > * {
  height: 0;
  opacity: 0;
  transition: all 0.2s;
}

@-webkit-keyframes slit-out-horizontal {
    0% { opacity: 1; transform: translateZ(0) rotateX(0); }
   54% { opacity: 1; transform: translateZ(-160px) rotateX(87deg); }
  100% { opacity: 0; transform: translateZ(-800px) rotateX(90deg); }
}

@keyframes slit-out-horizontal {
    0% { opacity: 1; transform: translateZ(0) rotateX(0); }
   54% { height: 76px; opacity: 1; transform: translateZ(-160px) rotateX(87deg); }
  100% { height: 0; opacity: 0; transform: translateZ(-800px) rotateX(90deg); }
}

.score-sum {
  color: #b71c1c;
}

.score-sum.success,
.score-sum.jp {
  color: #056F00;
}

md-select ~ .errors {
  color: rgb(221,44,0);
  font-size: 12px;
  line-height: 14px;
  opacity: 0;
  overflow: hidden;
  padding-top: 5px;
  -webkit-transition: all .3s cubic-bezier(.55,0,.55,.2);
  transition: all .3s cubic-bezier(.55,0,.55,.2);
}

md-select.ng-invalid.ng-touched ~ .errors,
md-select.ng-invalid-required.ng-touched ~ .errors {
  opacity: 1;
}

.pp {
  color: rgba(0, 0, 0, 0.54);
  font-family: Roboto, sans-serif;
  font-size: 10px;
  height: 11px;
  letter-spacing: 1px;
  margin-top: 1em;
  text-transform: uppercase;
}

.pp-wrapper {
  margin: 8px 8px -15px;
}

.score .pp-wrapper {
  margin: 0;
}

.score .pp {
  margin: 0;
  transform: translateY(-8px);
}

.pp span,
.score .pp span {
  background-color: rgba(0, 0, 0, 0.54);
  border-radius: 0;
  color: #fff;
  margin-right: 2px;
  padding: 0 1px 0 2px;
}

.pp,
.pp span {
  -webkit-transition: color, background-color .3s cubic-bezier(.55,0,.55,.2);
  transition: color, background-color .3s cubic-bezier(.55,0,.55,.2);
}

.use-multiplier {
  margin-top: 0;
}

.use-multiplier[aria-checked="true"] .pp {
  color: #000;
}

.use-multiplier[aria-checked="true"] .pp span {
  background-color: #000;
}

md-switch .pp span {
  margin-right: -1px;
}

.ticket .md-actions {
  margin-top: 0;
}

.saved,
.btn-cancel {
  color: rgba(0, 0, 0, 0.38);
}

.score {
  color: #b71c1c;
  font-family: "Baloo Bhaina", -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif;
  line-height: 1.2;
  min-height: 40px;
  text-align: right;
}

.score span {
  border-radius: 0 0 0 2px;
  padding: 8px;
}

.score .success {
  background-color: #056F00; /* #2e7d32; */
  color: #fff;
}

.ticket.success {
  border: 1px solid #056F00; /* #2e7d32; */
}

.ticket.jackpot {
  background-image: linear-gradient(to top, #0fd850 0%, #f9f047 100%);
  margin-top: 8px;
  margin-bottom: 1em;
  position: relative;
}

.ticket.jackpot .score {
  height: 108px;
  overflow: hidden;
  position: absolute;
  right: -6px;
  top: -6px;
  width: 108px;
}

.ticket.jackpot .score .jp {
  background-color: #1B5E20;
  background-image: linear-gradient(#2E7D32 -50%, #43a047 50%, #43a047 0%, #2E7D32 150%);
  box-shadow: -3px 5px 6px -5px rgba(0, 0, 0, 0.5);
  color: #fff;
  font-family: Roboto, "Helvetica Neue", sans-serif;
  font-size: 15px;
  font-variant: small-caps; /**/
  font-weight: bold;
  left: 32px;
  letter-spacing: 0.5px;
  line-height: 18px;
  min-height: 18px;
  padding: 7px 0;
  position: relative;
  text-align: center;
  text-indent: -8px;
  text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
  top: -27px;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
  width: 150px;
}

.ticket.jackpot .score .jp:before,
.ticket.jackpot .score .jp:after {
  border: 4px solid transparent;
  border-top-color: #2E7D32;
  bottom: -8px;
  content: "";
  position: absolute;
  z-index: -1;
}

.ticket.jackpot .score .jp:before {
  left: 0;
  border-left-color: #2E7D32;
}

.ticket.jackpot .score .jp:after {
  right: 7px;
  border-right-color: #2E7D32;
}

.ticket.jackpot md-card-content {
  padding-top: 30px;
}

.btn-save {
  margin-left: 0 !important;
}

.md-icon-button.btn-save svg {
  fill: rgba(0, 0, 0, 0.38);
}

.md-icon-button.btn-save svg:hover {
  fill: rgba(0, 0, 0, 0.54);
}

.md-icon-button svg.saved,
.md-icon-button svg.saved:hover {
  fill: #00aeef;
}

.ad-link {
  background-color: #056F00 !important;
  color: #fff !important;
}

.ad-link .ad-label {
  color: #eee !important;
}

.footer-interior {
  margin: 16px 0 32px;
}

.btn-tw .wrap::before {
  background: rgba(0, 0, 0, 0) 0 4px no-repeat;
  background-image: url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2072%2072%22%3E%3Cpath%20fill%3D%22none%22%20d%3D%22M0%200h72v72H0z%22%2F%3E%3Cpath%20class%3D%22icon%22%20fill%3D%22%231b95e0%22%20d%3D%22M68.812%2015.14c-2.348%201.04-4.87%201.744-7.52%202.06%202.704-1.62%204.78-4.186%205.757-7.243-2.53%201.5-5.33%202.592-8.314%203.176C56.35%2010.59%2052.948%209%2049.182%209c-7.23%200-13.092%205.86-13.092%2013.093%200%201.026.118%202.02.338%202.98C25.543%2024.527%2015.9%2019.318%209.44%2011.396c-1.125%201.936-1.77%204.184-1.77%206.58%200%204.543%202.312%208.552%205.824%2010.9-2.146-.07-4.165-.658-5.93-1.64-.002.056-.002.11-.002.163%200%206.345%204.513%2011.638%2010.504%2012.84-1.1.298-2.256.457-3.45.457-.845%200-1.666-.078-2.464-.23%201.667%205.2%206.5%208.985%2012.23%209.09-4.482%203.51-10.13%205.605-16.26%205.605-1.055%200-2.096-.06-3.122-.184%205.794%203.717%2012.676%205.882%2020.067%205.882%2024.083%200%2037.25-19.95%2037.25-37.25%200-.565-.013-1.133-.038-1.693%202.558-1.847%204.778-4.15%206.532-6.774z%22%2F%3E%3C%2Fsvg%3E);
  content: "";
  display: inline-block;
  height: 16px;
  margin-right: 2px;
  width: 14px;
}

.md-button.md-altTheme-theme.md-primary.md-raised {
  color: #fff;
}

.btn-add .md-button {
  border-radius: 6px;
  box-shadow: inset 0 1px #3949AB, 0 5px #1A237E, 0 3px 5px rgba(0, 0, 0, 0.38) !important;
  font-size: 20px;
  padding-left: 10px;
  width: 16em;
}

.btn-add .md-button:hover,
.btn-add .md-button:focus {
  background-color: #0D47A1;
  text-shadow: -1px 1px #1A237E;
}

.btn-add .md-button:active {
  box-shadow: none !important;
  position: relative;
  top: 5px;
}

.btn-add md-icon {
  padding: 0;
  transform: translateY(-2px);
}

.footer-exterior {
  padding: 0 16px;
  text-align: center;
}

.ad-wrapper {
  background-color: #aaa;
  height: 50px;
  position: relative;
  width: 320px;
}

.ad-wrapper:before {
  bottom: 0;
  color: rgba(0, 0, 0, 0.17);
  content: "AD";
  height: 48px;
  left: -14px;
  line-height: 14px;
  position: absolute;
  width: 4px;
  word-wrap: break-word;
}

@media (min-width: 737px) {
  .heading-jackpot,
  .subheading-jackpot {
    text-align: left;
  }
}

@media (min-width: 806px) {
  .welcome br {
    display: inline;
  }
}

@media (min-width: 960px) {
  md-toast.md-top {
      top: 64px;
  }
}

@media (min-width: 1024px) {
  body, html {
    background-color: #CFD8DC;
  }
  
  div[ng-app] {
    margin: 0 auto;
    width: 1024px;
  }
  
  body:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 132px;
    background-color: #607d8b;
    width: 100vw;
  }
  
  div > md-toolbar {
    height: 90px;
  }
  
  .md-toolbar-tools h1 {
    font-size: 48px;
    padding-top: 48px;
  }
  
  form {
    min-width: 320px;
  }
  
  md-dialog {
    max-width: 820px;
  }
}
